# FoundationClasses
TKMath
Poly

# Poly_Polygon3D Class Reference

This class Provides a polygon in 3D space. It is generally an approximate representation of a curve.
A Polygon3D is defined by a table of nodes. Each node is
a 3D point. If the polygon is closed, the point of closure is
repeated at the end of the table of nodes.
If the polygon is an approximate representation of a curve,
you can associate with each of its nodes the value of the
parameter of the corresponding point on the curve.
.

`#include <Poly_Polygon3D.hxx>`

Inheritance diagram for Poly_Polygon3D:

[legend]

## Public Member Functions

Standard_EXPORT | Poly_Polygon3D (const TColgp_Array1OfPnt &Nodes)
| onstructs a 3D polygon defined by the table of points, Nodes.
Standard_EXPORT | Poly_Polygon3D (const TColgp_Array1OfPnt &Nodes, const TColStd_Array1OfReal &Parameters)
| Constructs a 3D polygon defined by the table of points, Nodes, and the parallel table of parameters, Parameters, where each value of the table Parameters is the parameter of the corresponding point on the curve approximated by the constructed polygon. Warning Both the Nodes and Parameters tables must have the same bounds. This property is not checked at construction time. .
Standard_EXPORT Standard_Real | Deflection () const
| Returns the deflection of this polygon .
Standard_EXPORT void | Deflection (const Standard_Real D)
| Sets the deflection of this polygon to D. See more on deflection in Poly_Polygon2D .
Standard_Integer | NbNodes () const
| Returns the number of nodes in this polygon. Note: If the polygon is closed, the point of closure is repeated at the end of its table of nodes. Thus, on a closed triangle the function NbNodes returns 4. .
Standard_EXPORT const TColgp_Array1OfPnt & | Nodes () const
| Returns the table of nodes for this polygon. .
Standard_EXPORT Standard_Boolean | HasParameters () const
| Returns the table of the parameters associated with each node in this polygon. HasParameters function checks if parameters are associated with the nodes of this polygon. .
Standard_EXPORT const TColStd_Array1OfReal & | Parameters () const
| Returns true if parameters are associated with the nodes in this polygon. .
Standard_EXPORT TColStd_Array1OfReal & | ChangeParameters () const
| Returns the table of the parameters associated with each node in this polygon. ChangeParameters function returnes the array as shared. Therefore if the table is selected by reference you can, by simply modifying it, directly modify the data structure of this polygon. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myDeflection
TColgp_Array1OfPnt | myNodes
Handle_TColStd_HArray1OfReal | myParameters

## Constructor & Destructor Documentation

Standard_EXPORT Poly_Polygon3D::Poly_Polygon3D | ( | const TColgp_Array1OfPnt & | Nodes | ) |

Standard_EXPORT Poly_Polygon3D::Poly_Polygon3D | ( | const TColgp_Array1OfPnt & | Nodes,
|  | const TColStd_Array1OfReal & | Parameters
| ) |

## Member Function Documentation

Standard_EXPORT TColStd_Array1OfReal& Poly_Polygon3D::ChangeParameters | ( |  | ) | const

Standard_EXPORT void Poly_Polygon3D::Deflection | ( | const Standard_Real | D | ) |

Standard_EXPORT Standard_Real Poly_Polygon3D::Deflection | ( |  | ) | const

Standard_EXPORT const Poly_Polygon3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Standard_Boolean Poly_Polygon3D::HasParameters | ( |  | ) | const

Standard_Integer Poly_Polygon3D::NbNodes | ( |  | ) | const`[inline]`

Standard_EXPORT const TColgp_Array1OfPnt& Poly_Polygon3D::Nodes | ( |  | ) | const

Standard_EXPORT const TColStd_Array1OfReal& Poly_Polygon3D::Parameters | ( |  | ) | const

## Field Documentation

Standard_Real Poly_Polygon3D::myDeflection `[private]`

TColgp_Array1OfPnt Poly_Polygon3D::myNodes `[private]`

Handle_TColStd_HArray1OfReal Poly_Polygon3D::myParameters `[private]`

The documentation for this class was generated from the following files:

- Poly_Polygon3D.hxx
- Poly_Polygon3D.lxx